      subroutine HydLikeFunctions(r,R10,R20,R21,R30,R31,R32,R40)
      implicit none
      double precision Z,rho,a0,aZ,R10,R20,R21,R30,R31,r,R32,R40
c computation of the radial wavefunctions of the hydrogen atom
c we take the screening of a given level to be the charge of all the
c filled orbitals with lesser quantum numbers
c In atomic units a0=1
      a0=1d0
      Z=19
      aZ=a0/dble(Z)
      rho=r/aZ
      R10=2d0*dexp(-rho)/dsqrt(aZ**3)
      Z=17
      aZ=a0/dble(Z) 
      rho=r/aZ
      R20=dexp(-rho/2d0)*(1d0-rho/2d0)/dsqrt(2*aZ**3)
      Z=15
      aZ=a0/dble(Z) 
      rho=r/aZ
      R21=dexp(-rho/2d0)*rho/(2d0*dsqrt(6d0*aZ**3))
      Z=9
      aZ=a0/dble(Z) 
      rho=r/aZ
      R30=dexp(-rho/3d0)*2d0/(3d0*dsqrt(3d0*aZ**3))*
     &    (1d0-2d0*rho/3d0+2d0*rho**2/27d0)
      Z=7
      aZ=a0/dble(Z) 
      rho=r/aZ
      R31=dexp(-rho/3d0)*8d0/(27d0*dsqrt(6d0*aZ**3))*
     &    rho*(1d0-rho/6d0)
*The last electron would come to either 3d or 4s 
      Z=1
      aZ=a0/dble(Z) 
      rho=r/aZ
      R32=dexp(-rho/3d0)*rho**2*4d0/(81d0*dsqrt(30d0*aZ**3))
      R40=dexp(-rho/4d0)*(1d0-3d0*rho/4d0+rho**2/8d0-rho**3/192d0)
     &    /(4d0*dsqrt(aZ**3))
      return 
      end





